Get a user
Get details about an existing user.
Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account.
For more information see the API Concepts Document
Scoped OAuth requires: users.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the resource.
Query Parameters
Array of additional Models to include in response. Use calendar_urls to include http_cal_url and web_cal_url; account admins with can_update_user may use this to retrieve another user's calendar feed URLs. Note that these URLs are bearer credentials: anyone with the URL can read that user's on-call calendar.
Value in
- "contact_methods"
- "notification_rules"
- "teams"
- "subdomains"
- "calendar_urls"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
List a user's status update notification rules GET
List status update notification rules of your PagerDuty user. Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#users) Scoped OAuth requires: `users.read`
List a user's delegations GET
Get a list of OAuth delegations for a specific user. This endpoint replaces the deprecated `/users/{id}/sessions` endpoint. **Required OAuth Scope:** For Scoped OAuth requests, this operation requires the `oauth_delegations.read` scope. Scoped OAuth requires: `oauth_delegations.read`